com.impinj.octane

## Enum ReaderMode

- java.lang.Object
- - java.lang.Enum<ReaderMode>
  - - com.impinj.octane.ReaderMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReaderMode>

      public enum ReaderMode
      extends java.lang.Enum<ReaderMode>

  An enumeration defining the choices for the communications parameters used between the reader and tags. These are pre-selected and tested values for Tari, M, TR etc which have been optimized for the best performance with Impinj readers.
  See Also:
    Gen2 Standard page 26, Gen2 Standard page 31

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AutoSetCustom` Reserved for future use.
    `AutoSetDenseReader` The reader monitors RF noise and interference and then automatically and continuously optimizes the reader's configuration, selecting the appropriate configuration settings for the best, most reliable performance for environments where tags might be transient.
    `AutoSetDenseReaderDeepScan` The reader monitors RF noise and interference and then automatically and continuously optimizes the reader's configuration, selecting the appropriate configuration settings for the best, most reliable performance for environments where tags are relatively static.
    `AutoSetStaticDRM` A refinement of AutoSetDenseReaderDeepScan, targeted toward static environments where difficult to read tags are expected and we are ready to sacrifice performance to ensure that they are read
    `AutoSetStaticFast` A refinement of AutoSetDenseReaderDeepScan, targeted toward static environments where difficult to read tags are not expected.
    `DenseReaderM4` Provides an intermediate read rate when the population of readers is large and the likelihood of interference is high.
    `DenseReaderM4Two` Faster Forward link than Mode 2, available with regions: ETSI China, India, Japan (916.7-920.9 MHz and 952-956 MHz), Korea, and South Africa.
    `DenseReaderM8` Provides a low read rate (~half that of DenseReaderM4) for extreme interference environments where tags are stationary or moving slowly.
    `Hybrid` Provides a fast read rate when there are is modest interference from other readers, but a low likelihood of co-channel, adjacent channel, or alternate-channel interferers.
    `MaxMiller` Provides maximum reliability and read rate when the population of readers is low and the Likelihood of interference is low.
    `MaxThroughput` Fastest possible data transfer rates between tag and reader when the population of readers is very low and the likelihood of interference between readers is very low.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static ReaderMode` | `valueOf(int readerModeValue)`
    `static ReaderMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReaderMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MaxThroughput

          public static final ReaderMode MaxThroughput

      Fastest possible data transfer rates between tag and reader when the population of readers is very low and the likelihood of interference between readers is very low.

    - #### Hybrid

          public static final ReaderMode Hybrid

      Provides a fast read rate when there are is modest interference from other readers, but a low likelihood of co-channel, adjacent channel, or alternate-channel interferers.

    - #### DenseReaderM4

          public static final ReaderMode DenseReaderM4

      Provides an intermediate read rate when the population of readers is large and the likelihood of interference is high.

    - #### DenseReaderM8

          public static final ReaderMode DenseReaderM8

      Provides a low read rate (~half that of DenseReaderM4) for extreme interference environments where tags are stationary or moving slowly.

    - #### MaxMiller

          public static final ReaderMode MaxMiller

      Provides maximum reliability and read rate when the population of readers is low and the Likelihood of interference is low.

    - #### DenseReaderM4Two

          public static final ReaderMode DenseReaderM4Two

      Faster Forward link than Mode 2, available with regions: ETSI China, India, Japan (916.7-920.9 MHz and 952-956 MHz), Korea, and South Africa.

    - #### AutoSetDenseReader

          public static final ReaderMode AutoSetDenseReader

      The reader monitors RF noise and interference and then automatically and continuously optimizes the reader's configuration, selecting the appropriate configuration settings for the best, most reliable performance for environments where tags might be transient.

    - #### AutoSetDenseReaderDeepScan

          public static final ReaderMode AutoSetDenseReaderDeepScan

      The reader monitors RF noise and interference and then automatically and continuously optimizes the reader's configuration, selecting the appropriate configuration settings for the best, most reliable performance for environments where tags are relatively static.

    - #### AutoSetStaticFast

          public static final ReaderMode AutoSetStaticFast

      A refinement of AutoSetDenseReaderDeepScan, targeted toward static environments where difficult to read tags are not expected.

    - #### AutoSetStaticDRM

          public static final ReaderMode AutoSetStaticDRM

      A refinement of AutoSetDenseReaderDeepScan, targeted toward static environments where difficult to read tags are expected and we are ready to sacrifice performance to ensure that they are read

    - #### AutoSetCustom

          public static final ReaderMode AutoSetCustom

      Reserved for future use.

  - ### Method Detail

    - #### values

          public static ReaderMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReaderMode c : ReaderMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReaderMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static ReaderMode valueOf(int readerModeValue)

      Parameters:
        `readerModeValue` - integer value
      Returns:
        the enumeration object associated with this integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value of the enumeration